Run Amazon Seller
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-amazon-seller \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "A2L77EE7U53NWQ",
"domain": "amazon.com"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-amazon-seller"
payload = {
"seller": "A2L77EE7U53NWQ",
"domain": "amazon.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: 'A2L77EE7U53NWQ', domain: 'amazon.com'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-amazon-seller', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "amazon_seller",
"seller": "A2L77EE7U53NWQ",
"domain": "amazon.com",
"human": "# Amazon seller\n\n- **Seller ID:** A2L77EE7U53NWQ\n- **Domain:** amazon.com\n- **Proxy traffic:** 217.2 KB\n- **Name:** Amazon Resale\n- **Business name:** Amazon.com Services, Inc\n- **Business address:** 410 Terry Avenue North",
"machine": {
"seller": {
"id": "A2L77EE7U53NWQ",
"name": "Amazon Resale",
"rating": null,
"rating_count": null,
"positive_percent": null,
"about": "Amazon Resale Get deep discounts on open-box and used products. We inspect and certify all items for sale on Amazon Resale based on physical and functional condition if you're unsatisfied with the product for any reason, you can return it in accordance with Amazon's return policy. For further assistance, please contact Amazon customer service. Please note that some used products may not be covered",
"business_name": "Amazon.com Services, Inc",
"business_address": "410 Terry Avenue North",
"phone": null,
"privacy_policy": "https://www.amazon.com/gp/help/customer/display.html?ref_=v_sp_privacy_help&nodeId=GX7NJQ4ZB8MHFRNJ",
"rating_30d": null,
"rating_90d": null,
"rating_365d": null,
"rating_lifetime": null
},
"proxy_traffic_bytes": 222383
},
"total_points": 5
}E-commerce & Marketplaces
Run Amazon Seller
Fetches an Amazon seller profile by seller ID: name, rating, business details, and contact info. Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-amazon-seller
Run Amazon Seller
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
amazon.com, amazon.co.uk, amazon.de, amazon.fr, amazon.it, amazon.es, amazon.ca, amazon.co.jp, amazon.com.mx, amazon.com.br, amazon.in, amazon.com.au, amazon.nl, amazon.se, amazon.pl, amazon.com.tr, amazon.ae, amazon.sa, amazon.sg Response
Run completed.